namespace e_suite.Scheduler.Extensions;

public static class DateTimeOffsetExtensions
{
    public static DateTimeOffset SetToMidnight( this DateTimeOffset dateTimeOffset)
    {
        return dateTimeOffset
            .AddHours(-dateTimeOffset.Hour)
            .AddMinutes(-dateTimeOffset.Minute)
            .AddSeconds(-dateTimeOffset.Second)
            .AddMilliseconds(-dateTimeOffset.Millisecond);
    }
}